---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libosx.dylib'
relocations:
  - { offsetInCU: 0x27, offset: 0x27, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1setFileTypeAndCreator, symObjAddr: 0x0, symBinAddr: 0x25C1, symSize: 0x167 }
  - { offsetInCU: 0xB9, offset: 0xB9, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1setFileTypeAndCreator, symObjAddr: 0x0, symBinAddr: 0x25C1, symSize: 0x167 }
  - { offsetInCU: 0x2AAB, offset: 0x2AAB, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1setFileType, symObjAddr: 0x167, symBinAddr: 0x2728, symSize: 0x12A }
  - { offsetInCU: 0x2BE7, offset: 0x2BE7, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1setFileCreator, symObjAddr: 0x291, symBinAddr: 0x2852, symSize: 0x12A }
  - { offsetInCU: 0x2D23, offset: 0x2D23, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1getFileType, symObjAddr: 0x3BB, symBinAddr: 0x297C, symSize: 0x121 }
  - { offsetInCU: 0x2E63, offset: 0x2E63, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1getFileCreator, symObjAddr: 0x4DC, symBinAddr: 0x2A9D, symSize: 0x121 }
  - { offsetInCU: 0x2FA3, offset: 0x2FA3, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1findFolder__SIZ, symObjAddr: 0x5FD, symBinAddr: 0x2BBE, symSize: 0x18E }
  - { offsetInCU: 0x3205, offset: 0x3205, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1openURL, symObjAddr: 0x78B, symBinAddr: 0x2D4C, symSize: 0x11D }
  - { offsetInCU: 0x3306, offset: 0x3306, size: 0x8, addend: 0x0, symName: ___Java_com_apple_eio_FileManager__1openURL_block_invoke, symObjAddr: 0x8A8, symBinAddr: 0x2E69, symSize: 0x39 }
  - { offsetInCU: 0x3354, offset: 0x3354, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o, symObjAddr: 0x8E1, symBinAddr: 0x2EA2, symSize: 0x17 }
  - { offsetInCU: 0x337A, offset: 0x337A, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o, symObjAddr: 0x8F8, symBinAddr: 0x2EB9, symSize: 0x13 }
  - { offsetInCU: 0x3397, offset: 0x3397, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager_getNativeResourceFromBundle, symObjAddr: 0x90B, symBinAddr: 0x2ECC, symSize: 0x129 }
  - { offsetInCU: 0x353D, offset: 0x353D, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager_getNativePathToApplicationBundle, symObjAddr: 0xA34, symBinAddr: 0x2FF5, symSize: 0xDF }
  - { offsetInCU: 0x3628, offset: 0x3628, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1moveToTrash, symObjAddr: 0xB13, symBinAddr: 0x30D4, symSize: 0x15B }
  - { offsetInCU: 0x372E, offset: 0x372E, size: 0x8, addend: 0x0, symName: ___Java_com_apple_eio_FileManager__1moveToTrash_block_invoke, symObjAddr: 0xC6E, symBinAddr: 0x322F, symSize: 0xBD }
  - { offsetInCU: 0x37EA, offset: 0x37EA, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o40r, symObjAddr: 0xD2B, symBinAddr: 0x32EC, symSize: 0x38 }
  - { offsetInCU: 0x3810, offset: 0x3810, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o40r, symObjAddr: 0xD63, symBinAddr: 0x3324, symSize: 0x2B }
  - { offsetInCU: 0x382D, offset: 0x382D, size: 0x8, addend: 0x0, symName: _Java_com_apple_eio_FileManager__1revealInFinder, symObjAddr: 0xD8E, symBinAddr: 0x334F, symSize: 0x15B }
  - { offsetInCU: 0x3933, offset: 0x3933, size: 0x8, addend: 0x0, symName: ___Java_com_apple_eio_FileManager__1revealInFinder_block_invoke, symObjAddr: 0xEE9, symBinAddr: 0x34AA, symSize: 0x4A }
  - { offsetInCU: 0x27, offset: 0x4097, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeIsDispatchSupported, symObjAddr: 0x0, symBinAddr: 0x34F4, symSize: 0xB }
  - { offsetInCU: 0x15B, offset: 0x41CB, size: 0x8, addend: 0x0, symName: __jm_run, symObjAddr: 0x478, symBinAddr: 0xC7A0, symSize: 0x0 }
  - { offsetInCU: 0x170, offset: 0x41E0, size: 0x8, addend: 0x0, symName: _jc_Runnable, symObjAddr: 0x4A0, symBinAddr: 0xC7C8, symSize: 0x0 }
  - { offsetInCU: 0x204, offset: 0x4274, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeIsDispatchSupported, symObjAddr: 0x0, symBinAddr: 0x34F4, symSize: 0xB }
  - { offsetInCU: 0x238, offset: 0x42A8, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeGetMainQueue, symObjAddr: 0xB, symBinAddr: 0x34FF, symSize: 0xD }
  - { offsetInCU: 0x27B, offset: 0x42EB, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeCreateConcurrentQueue, symObjAddr: 0x18, symBinAddr: 0x350C, symSize: 0xF }
  - { offsetInCU: 0x316, offset: 0x4386, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeCreateSerialQueue, symObjAddr: 0x27, symBinAddr: 0x351B, symSize: 0x61 }
  - { offsetInCU: 0x3F6, offset: 0x4466, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeReleaseQueue, symObjAddr: 0x88, symBinAddr: 0x357C, symSize: 0x14 }
  - { offsetInCU: 0x45B, offset: 0x44CB, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeExecuteAsync, symObjAddr: 0x9C, symBinAddr: 0x3590, symSize: 0x1A }
  - { offsetInCU: 0x4CE, offset: 0x453E, size: 0x8, addend: 0x0, symName: _perform_dispatch, symObjAddr: 0xB6, symBinAddr: 0x35AA, symSize: 0x122 }
  - { offsetInCU: 0x610, offset: 0x4680, size: 0x8, addend: 0x0, symName: _Java_com_apple_concurrent_LibDispatchNative_nativeExecuteSync, symObjAddr: 0x1D8, symBinAddr: 0x36CC, symSize: 0x1A }
  - { offsetInCU: 0x683, offset: 0x46F3, size: 0x8, addend: 0x0, symName: ___perform_dispatch_block_invoke, symObjAddr: 0x1F2, symBinAddr: 0x36E6, symSize: 0x104 }
  - { offsetInCU: 0x27, offset: 0x7275, size: 0x8, addend: 0x0, symName: _Java_apple_launcher_JavaAppLauncher_nativeConvertAndRelease, symObjAddr: 0x0, symBinAddr: 0x37EA, symSize: 0xF6 }
  - { offsetInCU: 0x68, offset: 0x72B6, size: 0x8, addend: 0x0, symName: _Java_apple_launcher_JavaAppLauncher_nativeConvertAndRelease, symObjAddr: 0x0, symBinAddr: 0x37EA, symSize: 0xF6 }
  - { offsetInCU: 0x1AF, offset: 0x73FD, size: 0x8, addend: 0x0, symName: _Java_apple_launcher_JavaAppLauncher_nativeInvokeNonPublic, symObjAddr: 0xF6, symBinAddr: 0x38E0, symSize: 0x5A }
  - { offsetInCU: 0x27, offset: 0x9E32, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1getEncodedKeyData, symObjAddr: 0x0, symBinAddr: 0x393A, symSize: 0x197 }
  - { offsetInCU: 0x15B, offset: 0x9F66, size: 0x8, addend: 0x0, symName: __jm_createKeyEntry, symObjAddr: 0x1270, symBinAddr: 0xC7D8, symSize: 0x0 }
  - { offsetInCU: 0x170, offset: 0x9F7B, size: 0x8, addend: 0x0, symName: _jc_KeychainStore, symObjAddr: 0x1298, symBinAddr: 0xC800, symSize: 0x0 }
  - { offsetInCU: 0x185, offset: 0x9F90, size: 0x8, addend: 0x0, symName: __jm_createTrustedCertEntry, symObjAddr: 0x12A8, symBinAddr: 0xC810, symSize: 0x0 }
  - { offsetInCU: 0x425, offset: 0xA230, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1getEncodedKeyData, symObjAddr: 0x0, symBinAddr: 0x393A, symSize: 0x197 }
  - { offsetInCU: 0x3494, offset: 0xD29F, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1scanKeychain, symObjAddr: 0x197, symBinAddr: 0x3AD1, symSize: 0x40A }
  - { offsetInCU: 0x3A2F, offset: 0xD83A, size: 0x8, addend: 0x0, symName: _addCertificatesToKeystore, symObjAddr: 0x5A1, symBinAddr: 0x3EDB, symSize: 0x50F }
  - { offsetInCU: 0x436A, offset: 0xE175, size: 0x8, addend: 0x0, symName: _getLabelFromItem, symObjAddr: 0xE20, symBinAddr: 0x475A, symSize: 0xD9 }
  - { offsetInCU: 0x447B, offset: 0xE286, size: 0x8, addend: 0x0, symName: _getModDateFromItem, symObjAddr: 0xEF9, symBinAddr: 0x4833, symSize: 0x89 }
  - { offsetInCU: 0x478F, offset: 0xE59A, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1addItemToKeychain, symObjAddr: 0xAB0, symBinAddr: 0x43EA, symSize: 0x356 }
  - { offsetInCU: 0x4CD5, offset: 0xEAE0, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1removeItemFromKeychain, symObjAddr: 0xE06, symBinAddr: 0x4740, symSize: 0xD }
  - { offsetInCU: 0x4D51, offset: 0xEB5C, size: 0x8, addend: 0x0, symName: _Java_apple_security_KeychainStore__1releaseKeychainItemRef, symObjAddr: 0xE13, symBinAddr: 0x474D, symSize: 0xD }
  - { offsetInCU: 0x27, offset: 0xED4A, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_currentUser, symObjAddr: 0x0, symBinAddr: 0x48BC, symSize: 0x10 }
  - { offsetInCU: 0x42, offset: 0xED65, size: 0x8, addend: 0x0, symName: _throwOutOfMemoryError, symObjAddr: 0x563, symBinAddr: 0x4E1F, symSize: 0x85 }
  - { offsetInCU: 0x63, offset: 0xED86, size: 0x8, addend: 0x0, symName: _throwOutOfMemoryError.exceptionClass, symObjAddr: 0x11358, symBinAddr: 0xC990, symSize: 0x0 }
  - { offsetInCU: 0x127, offset: 0xEE4A, size: 0x8, addend: 0x0, symName: _createJavaStringArray, symObjAddr: 0x1499, symBinAddr: 0x5D55, symSize: 0x82 }
  - { offsetInCU: 0x14C, offset: 0xEE6F, size: 0x8, addend: 0x0, symName: _createJavaStringArray.stringClass, symObjAddr: 0x11360, symBinAddr: 0xC998, symSize: 0x0 }
  - { offsetInCU: 0x2BB4, offset: 0x118D7, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_currentUser, symObjAddr: 0x0, symBinAddr: 0x48BC, symSize: 0x10 }
  - { offsetInCU: 0x2BE8, offset: 0x1190B, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_anyUser, symObjAddr: 0x10, symBinAddr: 0x48CC, symSize: 0x10 }
  - { offsetInCU: 0x2C1C, offset: 0x1193F, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_currentHost, symObjAddr: 0x20, symBinAddr: 0x48DC, symSize: 0x10 }
  - { offsetInCU: 0x2C50, offset: 0x11973, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_anyHost, symObjAddr: 0x30, symBinAddr: 0x48EC, symSize: 0x10 }
  - { offsetInCU: 0x2C84, offset: 0x119A7, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_addNode, symObjAddr: 0x40, symBinAddr: 0x48FC, symSize: 0x110 }
  - { offsetInCU: 0x2ED8, offset: 0x11BFB, size: 0x8, addend: 0x0, symName: _toCF, symObjAddr: 0x150, symBinAddr: 0x4A0C, symSize: 0x80 }
  - { offsetInCU: 0x2FDE, offset: 0x11D01, size: 0x8, addend: 0x0, symName: _copyNodeIfPresent, symObjAddr: 0x1D0, symBinAddr: 0x4A8C, symSize: 0x136 }
  - { offsetInCU: 0x3280, offset: 0x11FA3, size: 0x8, addend: 0x0, symName: _copyMutableNode, symObjAddr: 0x306, symBinAddr: 0x4BC2, symSize: 0x25D }
  - { offsetInCU: 0x3768, offset: 0x1248B, size: 0x8, addend: 0x0, symName: _copyTreeForPath, symObjAddr: 0x893, symBinAddr: 0x514F, symSize: 0xE9 }
  - { offsetInCU: 0x3A45, offset: 0x12768, size: 0x8, addend: 0x0, symName: _copyFirstThreeComponentsOf, symObjAddr: 0x13E0, symBinAddr: 0x5C9C, symSize: 0xB9 }
  - { offsetInCU: 0x3D95, offset: 0x12AB8, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_removeNode, symObjAddr: 0x5E8, symBinAddr: 0x4EA4, symSize: 0x2AB }
  - { offsetInCU: 0x431C, offset: 0x1303F, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_addChildToNode, symObjAddr: 0x97C, symBinAddr: 0x5238, symSize: 0x189 }
  - { offsetInCU: 0x4643, offset: 0x13366, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_removeChildFromNode, symObjAddr: 0xB05, symBinAddr: 0x53C1, symSize: 0x171 }
  - { offsetInCU: 0x4928, offset: 0x1364B, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_addKeyToNode, symObjAddr: 0xC76, symBinAddr: 0x5532, symSize: 0x178 }
  - { offsetInCU: 0x4BFF, offset: 0x13922, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_removeKeyFromNode, symObjAddr: 0xDEE, symBinAddr: 0x56AA, symSize: 0x171 }
  - { offsetInCU: 0x4EE4, offset: 0x13C07, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_getKeyFromNode, symObjAddr: 0xF5F, symBinAddr: 0x581B, symSize: 0x11A }
  - { offsetInCU: 0x5146, offset: 0x13E69, size: 0x8, addend: 0x0, symName: _copyToCFString, symObjAddr: 0x1079, symBinAddr: 0x5935, symSize: 0xEF }
  - { offsetInCU: 0x52F1, offset: 0x14014, size: 0x8, addend: 0x0, symName: _toJavaString, symObjAddr: 0x1168, symBinAddr: 0x5A24, symSize: 0xAE }
  - { offsetInCU: 0x54BD, offset: 0x141E0, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_getKeysForNode, symObjAddr: 0x1216, symBinAddr: 0x5AD2, symSize: 0x19 }
  - { offsetInCU: 0x556C, offset: 0x1428F, size: 0x8, addend: 0x0, symName: _getStringsForNode, symObjAddr: 0x122F, symBinAddr: 0x5AEB, symSize: 0x14B }
  - { offsetInCU: 0x5876, offset: 0x14599, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_getChildrenForNode, symObjAddr: 0x137A, symBinAddr: 0x5C36, symSize: 0x1C }
  - { offsetInCU: 0x5925, offset: 0x14648, size: 0x8, addend: 0x0, symName: _Java_java_util_prefs_MacOSXPreferencesFile_synchronize, symObjAddr: 0x1396, symBinAddr: 0x5C52, symSize: 0x4A }
  - { offsetInCU: 0x5A35, offset: 0x14758, size: 0x8, addend: 0x0, symName: _BuildJavaArrayFn, symObjAddr: 0x151B, symBinAddr: 0x5DD7, symSize: 0x108 }
  - { offsetInCU: 0x27, offset: 0x14990, size: 0x8, addend: 0x0, symName: '-[JNFVectorCoercion coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x0, symBinAddr: 0x5EDF, symSize: 0x1A2 }
  - { offsetInCU: 0x42, offset: 0x149AB, size: 0x8, addend: 0x0, symName: '-[JNFVectorCoercion coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x0, symBinAddr: 0x5EDF, symSize: 0x1A2 }
  - { offsetInCU: 0x6B, offset: 0x149D4, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:.jc_Vector', symObjAddr: 0xAA0, symBinAddr: 0xC838, symSize: 0x0 }
  - { offsetInCU: 0x80, offset: 0x149E9, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:._jm_Vector_ctor', symObjAddr: 0xAB0, symBinAddr: 0xC848, symSize: 0x0 }
  - { offsetInCU: 0xA0, offset: 0x14A09, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:._jm_Vector_add', symObjAddr: 0xAD8, symBinAddr: 0xC870, symSize: 0x0 }
  - { offsetInCU: 0x2EC, offset: 0x14C55, size: 0x8, addend: 0x0, symName: '-[JNFHashtableCoercion coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x1AA, symBinAddr: 0x6089, symSize: 0x12D }
  - { offsetInCU: 0x315, offset: 0x14C7E, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:.jc_Hashtable', symObjAddr: 0xB60, symBinAddr: 0xC8F8, symSize: 0x0 }
  - { offsetInCU: 0x32A, offset: 0x14C93, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:._jm_Hashtable_ctor', symObjAddr: 0xB70, symBinAddr: 0xC908, symSize: 0x0 }
  - { offsetInCU: 0x34A, offset: 0x14CB3, size: 0x8, addend: 0x0, symName: '_coerceNSObject:withEnv:usingCoercer:._jm_Hashtable_put', symObjAddr: 0xB98, symBinAddr: 0xC930, symSize: 0x0 }
  - { offsetInCU: 0x510, offset: 0x14E79, size: 0x8, addend: 0x0, symName: ____SCDynamicStoreCallBack_block_invoke, symObjAddr: 0x532, symBinAddr: 0x6411, symSize: 0x16 }
  - { offsetInCU: 0x535, offset: 0x14E9E, size: 0x8, addend: 0x0, symName: __block_invoke.jc_Config, symObjAddr: 0xBC0, symBinAddr: 0xC958, symSize: 0x0 }
  - { offsetInCU: 0x54A, offset: 0x14EB3, size: 0x8, addend: 0x0, symName: __block_invoke._jm_Config_refresh, symObjAddr: 0xBD0, symBinAddr: 0xC968, symSize: 0x0 }
  - { offsetInCU: 0x2E5F, offset: 0x177C8, size: 0x8, addend: 0x0, symName: '-[JNFVectorCoercion coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x1A2, symBinAddr: 0x6081, symSize: 0x8 }
  - { offsetInCU: 0x2ECC, offset: 0x17835, size: 0x8, addend: 0x0, symName: '-[JNFHashtableCoercion coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x2D7, symBinAddr: 0x61B6, symSize: 0x8 }
  - { offsetInCU: 0x2F1D, offset: 0x17886, size: 0x8, addend: 0x0, symName: _realmConfigsForRealms, symObjAddr: 0x2DF, symBinAddr: 0x61BE, symSize: 0x1E5 }
  - { offsetInCU: 0x30CC, offset: 0x17A35, size: 0x8, addend: 0x0, symName: __SCDynamicStoreCallBack, symObjAddr: 0x4C4, symBinAddr: 0x63A3, symSize: 0x6E }
  - { offsetInCU: 0x3202, offset: 0x17B6B, size: 0x8, addend: 0x0, symName: _Java_sun_security_krb5_SCDynamicStoreConfig_installNotificationCallback, symObjAddr: 0x548, symBinAddr: 0x6427, symSize: 0x138 }
  - { offsetInCU: 0x351A, offset: 0x17E83, size: 0x8, addend: 0x0, symName: _Java_sun_security_krb5_SCDynamicStoreConfig_getKerberosConfig, symObjAddr: 0x680, symBinAddr: 0x655F, symSize: 0x361 }
...
